// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_CAT_SUMMARY
#define PPSSUMM_CAT_SUMMARY

#include <string>
#include <fstream>

bool catSummaryExists( const char* );
void blankCatSummary( const char* );

class CatPage
{
    public:
    CatPage( std::string f="" ) : _name( f )
    { }

    friend ostream& operator<<( ostream& os , const CatPage& cp )
    {
	os << "<p class=\"noprod\">No ACDS Cross-Correlation Products were produced.</p>"
	   << "<hr />"
	;
	return os;
    }

    private:
    std::string _name;


};

#endif
