// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_FITSTABLE
#define PPSSUMM_FITSTABLE

#include <string>
#include <map>
#include "Dal.h"
#include "Tracer.h"
#include "errstr.h"


template< typename Ii_ , typename Oi_ >
void getAttribute( Table* tbl, Ii_ first_ , Ii_ last_ ,  Oi_ return_ ,  bool fatalnotfound = 1) 
{
/* Find the attribute keywords in the input contaier, add it to the output container */

    while ( first_ != last_ ) {

        if ( tbl->hasAttribute(*first_) ) {
            
            *return_++ = tbl->attribute(*first_);

        } else if ( fatalnotfound ) {
            
            errstr << "Unable to find attribute" <<*first_ 
                << Sas::fatal("ppssumm:ATTRIBUTENOTFOUND")
            ;

        }
        first_++;

    }
}
/*
template<>
void getAttribute< typename map<std::string , Attribute* >::iterator 
    ,  typename map<std::string , Attribute*>::iterator >
( Table* tbl , map<std::string , Attribute*>::iterator first_ , map<std::string , Attribute*>::iterator last_ ,  bool fatalnotfound = 1) 
{

    while ( first_ != last_ ) {

        if ( tbl->hasAttribute(first_->first) ) {
            
            first_->second = tbl->attribute(first_->first);

        } else if ( fatalnotfound ) {

            errstr << "Unable to find attribute" << first_->first
                << Sas::fatal("ppssumm:ATTRIBUTENOTFOUND")
            ;

        }
        first_++;

    }
}
*/

#endif

