// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_PINDEX_TYPEDEF
#define PPSSUMM_PINDEX_TYPEDEF

#include "Degrees.h"
#include "Filename.h"

typedef bool8 Active;
typedef Degrees Bii_obj;
typedef Degrees Bii_pnt;
typedef std::string Catname;
typedef std::string Content;
typedef Degrees Dec_obj;
typedef Degrees Dec_pnt;
typedef std::string Detector;
typedef real32 Ep_det_ml;
typedef real32 Ep_ext_err;
typedef real32 Ep_extent;
typedef std::string Ep_filter;
typedef std::string Ep_flag;
typedef real32 Ep_hr1;
typedef real32 Ep_hr1_err;
typedef real32 Ep_hr2;
typedef real32 Ep_hr2_err;
typedef real32 Ep_hr3;
typedef real32 Ep_hr3_err;
typedef real32 Ep_hr4;
typedef real32 Ep_hr4_err;
typedef real32 Ep_tot;
typedef real32 Ep_tot_err;
typedef real32 Ep_tot_flux;
typedef real32 Ep_tot_flux_err;
typedef real32 Exp_duration;
typedef std::string Exp_id;
typedef real32 Exposure;
typedef std::string Exp_start;
typedef std::string Exp_stop;
typedef bool8 Flarescreened;
typedef std::string Format;
typedef Degrees Lii_obj;
typedef Degrees Lii_pnt;
typedef real32 M1_cts;
typedef real32 M1_cts_err;
typedef real32 M1_det_ml;
typedef string M1_flag;
typedef real32 M1_ontime;
typedef real32 M1_tot;
typedef real32 M1_tot_err;
typedef real32 M1_tot_flux;
typedef real32 M1_tot_flux_err;
typedef real32 M2_cts;
typedef real32 M2_cts_err;
typedef real32 M2_det_ml;
typedef string M2_flag;
typedef real32 M2_ontime;
typedef real32 M2_tot;
typedef real32 M2_tot_err;
typedef real32 M2_tot_flux;
typedef real32 M2_tot_flux_err;
typedef std::string Mode;
typedef ppssumm_internal::Filename Name;
typedef int32 Nexposures;
typedef std::string Object;
typedef real32 Obs_duration;
typedef std::string Obs_id;
typedef std::string Obs_mode;
typedef std::string Obs_start;
typedef std::string Obs_stop;
typedef std::string Observer;
typedef int16 Ocb;
typedef std::string Om_filter;
typedef Degrees Pa_pnt;
typedef real32 Plate_dec;
typedef std::string Plate_filter;
typedef std::string Plate_id;
typedef std::string Plate_origin;
typedef real32 Plate_ra;
typedef real32 Pn_cts;
typedef real32 Pn_cts_err;
typedef real32 Pn_det_ml;
typedef string Pn_flag;
typedef real32 Pn_ontime;
typedef real32 Pn_tot;
typedef real32 Pn_tot_err;
typedef real32 Pn_tot_flux;
typedef real32 Pn_tot_flux_err;
typedef std::string Ppsversion;
typedef int32 Priority;
typedef std::string Procdate;
typedef std::string Procrevision;
typedef Degrees Radec_err;
typedef Degrees Ra_obj;
typedef Degrees Ra_pnt;
typedef std::string Sasversion;
typedef bool8 Srcdet;
typedef bool8 Ssp;
typedef std::string Vvflags;

#endif
