// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <algorithm>
#include <iostream>
#include <iterator>
#include <cctype>
#include <cerrno>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <dirent.h>
#include <fstream>
#include <functional>
#include "Band.h"
#include "BaseInteger.h"
#include "BaseReal.h"
#include "CatSummary.h"
#include "Dal.h"
#include "Datamode.h"
#include "Degrees.h"
#include "EpicSummary.h"
#include "errstr.h"
#include "ExtendFitsColumn.h"
#include "Filename.h"
#include "Filename_typedef.h"
#include "FitsColumn.h"
#include "FitsTable.h"
#include "getSumFile.h"
#include "HtmlPage.h"
#include "HtmlTag.h"
#include "Instrument.h"
#include <map>
#include "ObservationSummary.h"
#include "ObsSummary.h"
#include "OmOswMong.h"
#include "OmSummary.h"
#include <ostream>
#include "Osw_id.h"
#include "param.h"
#include "Pindex.h"
#include "Pindex_typedef.h"
#include "ppssumm_algo.h"
#include "PpssummCommon.h"
#include "ppsslewsumm.h"
#include "ppssumm_typedef.h"
#include "ProductSummary.h"
#include "Rgsorder.h"
#include "RgsSummary.h"
#include "SAttribute.h"
#include "SColumn.h"
#include "sFunctions.h"
#include "Src_num.h"
#include <sstream>
#include "STable.h"
#include "StaticDefines.h"
#include "STime.h"
#include <string>
#include "string_algo.h"
#include "stripws.h"
#include "Task.h"
#include "Tracer.h"
#include <utility>
#include <vector>
