// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_RGSORDER
#define PPSSUMM_RGSORDER

#include <string>
#include <cstdlib>
#include "BaseInteger.h"

class Rgsorder : public BaseInteger<int16>
{
    public:
    Rgsorder() : BaseInteger<int16>(0) { }
    Rgsorder( const int16& s ) : BaseInteger<int16>(s) {  }
    Rgsorder( const char* s ) : BaseInteger<int16>( static_cast<int16>( strtol( s , nullptr , 10 ) ) ) {  }
    Rgsorder( const std::string& s ) :  BaseInteger<int16>( static_cast<int16>( strtol( s.c_str() , nullptr , 10 ) ) ) {  }

    Rgsorder operator=(const char* s)
    {
        this->set( static_cast<int16>( strtol( s , nullptr , 10 ) ) );
        return *this;
    }
    Rgsorder operator=(const std::string& s)
    { 
        this->set( static_cast<int16>( strtol( s.c_str() , nullptr , 10 ) ) );
        return *this;
    }
};

#endif
