// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_MAPALGO
#define PPSSUMM_MAPALGO

#include <string>
#include <sstream>
#include "Filename_typedef.h"
#include "Filename.h"
#include "Instrument.h"
#include "Src_num.h"
#include "Osw_id.h"

namespace ppssumm_internal
{

std::string makekey( const Instrument& , const Exp_id& , const Src_num& );
std::string makekey( const Instrument& , const Exp_id& , const Osw_id&  );
std::string makekey( const Instrument& , const Exp_id& , const Osw_id&  , const Src_num&  );
std::string makekey( const Instrument& , const Exp_id& );

std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Src_num&   );
std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Osw_id&  );
std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Osw_id& , const Src_num&  );
std::string makekey( const Filename& , const Instrument& , const Exp_id& );


}
#endif
