// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMM_TYPEDEFS
#define PPSSUMM_TYPEDEFS

#include <string>
#include <vector>
#include <map>
#include <iterator>
#include "Dal.h"

typedef std::vector<std::string> stringlist;
typedef std::vector<std::string>::const_iterator stringlist_ci;
typedef std::vector<std::string>::iterator stringlist_i;
typedef std::vector<std::string>::size_type stringlist_st;
typedef std::vector<std::string>::difference_type stringlist_dt;

typedef std::vector<stringlist> stringtable;
typedef std::vector<stringlist>::const_iterator stringtable_ci;
typedef std::vector<stringlist>::iterator stringtable_i;
typedef std::vector<stringlist>::size_type stringtable_st;
typedef std::vector<stringlist>::difference_type stringtable_dt;

typedef std::vector<bool8> bool8list;
typedef std::vector<bool8>::const_iterator bool8list_ci;
typedef std::vector<bool8>::iterator bool8list_i;
typedef std::vector<bool8>::size_type bool8list_st;
typedef std::vector<bool8>::difference_type bool8list_dt;

typedef std::vector<int8> int8list;
typedef std::vector<int8>::const_iterator int8list_ci;
typedef std::vector<int8>::iterator int8list_i;
typedef std::vector<int8>::size_type int8list_st;
typedef std::vector<int8>::difference_type int8list_dt;

typedef std::vector<uint16> uint16list;
typedef std::vector<uint16>::const_iterator uint16list_ci;
typedef std::vector<uint16>::iterator uint16list_i;
typedef std::vector<uint16>::size_type uint16list_st;
typedef std::vector<uint16>::difference_type uint16list_dt;

typedef std::vector<int16> int16list;
typedef std::vector<int16>::const_iterator int16list_ci;
typedef std::vector<int16>::iterator int16list_i;
typedef std::vector<int16>::size_type int16list_st;
typedef std::vector<int16>::difference_type int16list_dt;

typedef std::vector<uint32> uint32list;
typedef std::vector<uint32>::const_iterator uint32list_ci;
typedef std::vector<uint32>::iterator uint32list_i;
typedef std::vector<uint32>::size_type uint32list_st;
typedef std::vector<uint32>::difference_type uint32list_dt;

typedef std::vector<int32> int32list;
typedef std::vector<int32>::const_iterator int32list_ci;
typedef std::vector<int32>::iterator int32list_i;
typedef std::vector<int32>::size_type int32list_st;
typedef std::vector<int32>::difference_type int32list_dt;

typedef std::vector<real32> real32list;
typedef std::vector<real32>::const_iterator real32list_ci;
typedef std::vector<real32>::iterator real32list_i;
typedef std::vector<real32>::size_type real32list_st;
typedef std::vector<real32>::difference_type real32list_dt;

typedef std::vector<real64> real64list;
typedef std::vector<real64>::const_iterator real64list_ci;
typedef std::vector<real64>::iterator real64list_i;
typedef std::vector<real64>::size_type real64list_st;
typedef std::vector<real64>::difference_type real64list_dt;

typedef std::map<std::string,std::string> ssmap;
typedef std::map<std::string,std::string>::const_iterator ssmap_ci;
typedef std::map<std::string,std::string>::iterator ssmap_i;

typedef std::map< std::string , stringtable > keyed_table;
typedef std::map< std::string , stringtable >::const_iterator keyed_table_ci;
typedef std::map< std::string , stringtable >::iterator keyed_table_i;

typedef std::map<std::string,bool8> sbmap;
typedef std::map<std::string,bool8>::const_iterator sbmap_ci;
typedef std::map<std::string,bool8>::iterator sbmap_i;

typedef bool8 Scheduled;
typedef bool8 Link;
typedef std::string Page;
typedef std::string Position;
typedef std::string Filter;

#endif
