// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef PPSSUMMS_SIMPLEFUNCTIONS
#define PPSSUMMS_SIMPLEFUNCTIONS

#include <string>
#include <vector>
#include "SAttribute.h"
#include "SColumn.h"
#include "STable.h"
#include "stripws.h"

#include "Dal.h"
#include "Tracer.h"
#include "errstr.h"

/* 
 * Functions for adding SAttributes , SColumns and STables
 * to Dal DataSet's and Table's
 */

void addto(DataSet*  , const SAttribute& ) ;
void addto(Table*  , const SAttribute& );
void addto(Table* , const SColumn& );
void addto(DataSet* , const STable& );
void addto(Table* , const STable& );


/*
 * Turn summary file format line into an SAttribute.
 * Line formats translate as:
 * value => SAttribute("",value,"");
 * value / comment => SAttribute("",value,comment)
 * name = value // comment => SAttribute(name,value,comment)
 * n allows an alternative key to that in the summary file, many of which are > 8 char long
 */
SAttribute MakeAttribute(const std::string& = "" , const std::string&  = "");

#endif
