// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "string_algo.h"

namespace ppssumm_internal
{

    std::string stripdir( const std::string& s )
    {
        std::string::size_type cut = s.rfind('/');

        return ( cut == std::string::npos) 
            ? s
            : s.substr( cut+1 , std::string::npos)
        ;
    }

    std::string truncTime( const std::string& s ) 
    {
        /* Given a string in dateTtime.nnn format strip off the .nnn */
        return s.substr( 0 , s.rfind(".") );
    }


    char toUpper(const char c)
    {
        return static_cast<char>( toupper( static_cast<int>(c) ) );
    }

    char toLower(const char c)
    {
        return static_cast<char>( tolower( static_cast<int>(c) ) );
    }

    // Return stripdir(stringParameter( s )) 
    std::string pagename(const std::string& s)
    {
	return stripdir(stringParameter( s ));
    }
};
