// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "stripws.h"

std::string stripws(const std::string& s) 
{
    std::string r = s;
    static const char* ws = " \t\n\b\f\r\v";
    if ( s.length() ) 
    {
    
        std::string::size_type c1=s.find_first_not_of(ws);

        if ( c1 ==  std::string::npos) 
        {
            r="";
        }
	else
	{    
            std::string::size_type c2=s.find_last_not_of(ws);
            r = s.substr( c1 , (c2 - c1 +1 ) );
        }
    }
    return r;

}
